×

Error

Category not found

Compatibility

Joomla! 2.5 - Get more

JSN Kido is natively compatible with both Joomla! 2.5 and Joomla! 3.0.

The installation package is compatible with both Joomla CMS.

 

Joomla templates by Joomlashine